<?php
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

foreach ($_POST as $paramName => $paramValue) {
  if ($paramName == "baseid")
    $pa_id = $paramValue;
}

$dal = new DAL();
       
$sql = "SELECT LO.id, LO.name AS 'Lot', LT.descr AS Type, " .
       "LI.descr as Interpretation " .
       "FROM projectworkday PW, projectworkdayoperation PWO, " .
       "operationspatialunit OS, spatialunitlot SL, lot LO, lotinterpret LI, lottype LT " .
       "WHERE PW.parcel_id = $pa_id AND PWO.projectworkday_id = PW.id " .
       "AND OS.projectworkdayoperation_id = PWO.id AND SL.operationspatialunit_id = OS.id " .
       "AND LO.id = SL.lot_id AND LI.id = LO.lotinterpret_id AND LT.id = LO.lottype_id " .
       "ORDER BY LO.name_seq " ;
$result = $dal->query($sql);

echo json_encode($result);

?>

